Subject: Re: bug#15079: 24.3.50; emacs using 100% cpu if frame closes after workspace change

From: Robert Marshall <[email-masked]>
Date: Mon, 30 Sep 2019 16:12:24 +0100

Stefan Kangas writes:
 > Robert Marshall <[email-masked]> writes:
 > 
 > > If I start emacs -Q and evaluate the following code
 > > (make-frame-command)
 > > (sleep-for 6)
 > > (delete-frame)
 > >
 > > and while the sleep is happening I move to a different workspace (I'm
 > > using kde/plasma as a desktop environment) then emacs starts using 100%
 > > of the cpu and on changing back to the original workspace Ctrl-G fails
 > > to get back control.
 > >
 > > Aside from this artificial example I'm using vm to handle email which
 > > opens a new frame when preparing an email and closes the frame when
 > > sending the email - the negotiation with the email server takes a little
 > > time and if I - having sent the email but before the frame is closed -
 > > move away to another workspace I'm consistently seeing emacs lock up.
 > 
 > That was 6 years ago.  Are you still seeing this on a more recent
 > version of Emacs?
 > 

Indeed, a long time ago - and yes it no longer happens. You may close this!

Robert
-- 
Robert Marshall               twitter: @rajm